package design.patterns.behavioural.iterator;

import java.util.ArrayList;
import java.util.Iterator;
  
 
public class Waitress {
	PancakeHouseMenu pancakeHouseMenu;
	DinerMenu dinerMenu;
 
	public Waitress(PancakeHouseMenu pancakeHouseMenu, DinerMenu dinerMenu) {
		this.pancakeHouseMenu = pancakeHouseMenu;
		this.dinerMenu = dinerMenu;
	}
 
	public void printMenu() {

		ArrayList<MenuItem> breakfastItems = pancakeHouseMenu.getMenuItems();
		MenuItem[] lunchItems = dinerMenu.getMenuItems();

		System.out.println("MENU\n----\nBREAKFAST");
		for (int i = 0; i < breakfastItems.size(); i++){
			MenuItem menuItem = breakfastItems.get(i);
			System.out.print(menuItem.getName() + " ");
			System.out.println(menuItem.getPrice() + " ");
			System.out.println(menuItem.getDescription());
		}

		System.out.println("\nLUNCH");
		for (int i = 0; i < lunchItems.length; i++){
			MenuItem menuItem = lunchItems[i];
			System.out.print(menuItem.getName() + " ");
			System.out.println(menuItem.getPrice() + " ");
			System.out.println(menuItem.getDescription());
		}

	}

	public void printVegetarianMenu() {
		ArrayList<MenuItem> breakfastItems = pancakeHouseMenu.getMenuItems();
		MenuItem[] lunchItems = dinerMenu.getMenuItems();

		System.out.println("\nVEGETARIAN MENU\n----\nBREAKFAST");
		printVegetarianMenuPancake(breakfastItems);
		System.out.println("\nLUNCH");
		printVegetarianMenuDiner(lunchItems);
	}

	private void printVegetarianMenuDiner(MenuItem[] lunchItems) {
		for (int i = 0; i < lunchItems.length; i++){
			MenuItem menuItem = lunchItems[i];
			if (menuItem.isVegetarian()) {
				System.out.print(menuItem.getName() + " ");
				System.out.println(menuItem.getPrice() + " ");
				System.out.println(menuItem.getDescription());
			}
		}
	}

	private void printVegetarianMenuPancake(ArrayList<MenuItem> breakfastItems) {
		for (int i = 0; i < breakfastItems.size(); i++){
			MenuItem menuItem = breakfastItems.get(i);
			if (menuItem.isVegetarian()) {
				System.out.print(menuItem.getName() + " ");
				System.out.println(menuItem.getPrice() + " ");
				System.out.println(menuItem.getDescription());
			}
		}
	}

}
